/*
 * Written by Dawid Kurzyniec and released to the public domain, as explained
 * at http://creativecommons.org/licenses/publicdomain
 */

package edu.emory.mathcs.util.remote.io.server;

import java.io.*;
import java.rmi.Remote;

/**
 * Server interface to the remote output stream.
 *
 * @see edu.emory.mathcs.util.remote.io.RemoteOutputStream
 *
 * @author Dawid Kurzyniec
 * @version 1.0
 */
public interface RemoteOutputStreamSrv extends Remote {
    void write(byte[] data) throws IOException;
    void flush() throws IOException;
    void close() throws IOException;
}
